AGInfModel (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.jena, class: AGInfModel

Package com.franz.agraph.jena

# Class AGInfModel

java.lang.Object
org.apache.jena.enhanced.EnhGraph
org.apache.jena.rdf.model.impl.ModelCom
com.franz.agraph.jena.AGModel
com.franz.agraph.jena.AGInfModel

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `InfModel`, `Model`, `ModelCon`, `ModelGraphInterface`, `RDFReaderF`, `RDFWriterF`, `Lock`, `PrefixMapping`

public class AGInfModel extends AGModel implements InfModel
Implements the Jena InfModel interface for AllegroGraph.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.jena.shared.PrefixMapping

  `PrefixMapping.Factory, PrefixMapping.IllegalPrefixException, PrefixMapping.JenaLockedException`

- ## Field Summary

  ### Fields inherited from interface org.apache.jena.shared.Lock

  `READ, WRITE`

  ### Fields inherited from interface org.apache.jena.shared.PrefixMapping

  `Extended, Standard`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGInfModel(AGReasoner reasoner, AGModel baseModel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Model`
  `getDeductionsModel()`
  `Iterator<Derivation>`
  `getDerivation(Statement statement)`
  `Model`
  `getRawModel()`
  `Reasoner`
  `getReasoner()`
  `StmtIterator`
  `listStatements(Resource subject, Property predicate, RDFNode object, Model posit)`
  `void`
  `prepare()`
  `void`
  `rebind()`
  `void`
  `reset()`
  `void`
  `setDerivationLogging(boolean logOn)`
  `ValidityReport`
  `validate()`

  ### Methods inherited from class com.franz.agraph.jena.AGModel

  `add, asStatement, createResource, createResource, createStatement, getGraph, read, read, remove, write, write`

  ### Methods inherited from class org.apache.jena.rdf.model.impl.ModelCom

  `abort, adapt, add, add, add, add, add, add, add, add, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addNamespaces, asModel, asNode, asRDFNode, asStatements, asStatements, asStatements, begin, calculateInTxn, clearNsPrefixMap, close, commit, contains, contains, contains, contains, contains, containsAll, containsAll, containsAny, containsAny, containsLiteral, containsLiteral, containsLiteral, containsLiteral, containsLiteral, containsLiteral, containsLiteral, containsResource, createAlt, createAlt, createBag, createBag, createList, createList, createList, createLiteral, createLiteral, createLiteralStatement, createLiteralStatement, createLiteralStatement, createLiteralStatement, createLiteralStatement, createLiteralStatement, createLiteralStatement, createProperty, createProperty, createResource, createResource, createResource, createResource, createSeq, createSeq, createStatement, createStatement, createTypedLiteral, createTypedLiteral, createTypedLiteral, createTypedLiteral, createTypedLiteral, createTypedLiteral, createTypedLiteral, createTypedLiteral, createTypedLiteral, createTypedLiteral, createTypedLiteral, createTypedLiteral, createTypedLiteral, difference, enterCriticalSection, executeInTxn, expandPrefix, getAlt, getAlt, getBag, getBag, getList, getList, getLock, getModelLock, getNsPrefixMap, getNsPrefixURI, getNsURIPrefix, getProperty, getProperty, getProperty, getProperty, getRDFNode, getReader, getRequiredProperty, getRequiredProperty, getResource, getResource, getSeq, getSeq, getWriter, hasNoMappings, independent, intersect, intersection, isClosed, isEmpty, isIsomorphicWith, leaveCriticalSection, listBySubject, listLiteralStatements, listLiteralStatements, listLiteralStatements, listLiteralStatements, listLiteralStatements, listLiteralStatements, listNameSpaces, listObjects, listObjectsOfProperty, listObjectsOfProperty, listResourcesWithProperty, listResourcesWithProperty, listResourcesWithProperty, listResourcesWithProperty, listResourcesWithProperty, listResourcesWithProperty, listResourcesWithProperty, listResourcesWithProperty, listStatements, listStatements, listStatements, listStatements, listSubjects, listSubjectsWithProperty, listSubjectsWithProperty, listSubjectsWithProperty, listSubjectsWithProperty, lock, notifyEvent, numPrefixes, qnameFor, read, read, read, read, read, register, reifiedToString, remove, remove, remove, remove, remove, removeAll, removeAll, removeNsPrefix, samePrefixMappingAs, setNsPrefix, setNsPrefixes, setNsPrefixes, shortForm, size, supportsSetOperations, supportsTransactions, toString, union, unregister, withDefaultMappings, wrapAsResource, write, write, write, write`

  ### Methods inherited from class org.apache.jena.enhanced.EnhGraph

  `asGraph, equals, getNodeAs, hashCode, isIsomorphicWith`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.io.Closeable

  `close`

  ### Methods inherited from interface org.apache.jena.shared.Lock

  `enterCriticalSection, leaveCriticalSection`

  ### Methods inherited from interface org.apache.jena.rdf.model.Model

  `abort, add, add, add, add, add, begin, calculateInTxn, clearNsPrefixMap, close, commit, contains, contains, contains, containsAll, containsAll, containsAny, containsAny, containsResource, createList, createList, createList, createLiteral, createProperty, createResource, createResource, createResource, createResource, createStatement, createTypedLiteral, createTypedLiteral, createTypedLiteral, difference, equals, executeInTxn, getLock, getProperty, getProperty, getProperty, getReader, getRequiredProperty, getRequiredProperty, getResource, getResource, getWriter, independent, intersection, isClosed, isEmpty, isIsomorphicWith, listNameSpaces, listObjects, listObjectsOfProperty, listObjectsOfProperty, listResourcesWithProperty, listResourcesWithProperty, listStatements, listStatements, listSubjects, listSubjectsWithProperty, listSubjectsWithProperty, notifyEvent, read, read, read, read, read, read, read, register, remove, remove, remove, removeAll, removeAll, removeNsPrefix, setNsPrefix, setNsPrefixes, setNsPrefixes, size, supportsSetOperations, supportsTransactions, union, unregister, withDefaultMappings, write, write, write, write, write, write`

  ### Methods inherited from interface org.apache.jena.rdf.model.ModelCon

  `add, add, add, add, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, contains, contains, containsLiteral, containsLiteral, containsLiteral, containsLiteral, containsLiteral, containsLiteral, containsLiteral, createAlt, createAlt, createBag, createBag, createLiteral, createLiteralStatement, createLiteralStatement, createLiteralStatement, createLiteralStatement, createLiteralStatement, createLiteralStatement, createLiteralStatement, createProperty, createResource, createResource, createSeq, createSeq, createStatement, createStatement, createTypedLiteral, createTypedLiteral, createTypedLiteral, createTypedLiteral, createTypedLiteral, createTypedLiteral, createTypedLiteral, createTypedLiteral, createTypedLiteral, createTypedLiteral, getAlt, getAlt, getBag, getBag, getList, getList, getProperty, getRDFNode, getSeq, getSeq, listLiteralStatements, listLiteralStatements, listLiteralStatements, listLiteralStatements, listLiteralStatements, listLiteralStatements, listResourcesWithProperty, listResourcesWithProperty, listResourcesWithProperty, listResourcesWithProperty, listResourcesWithProperty, listResourcesWithProperty, listStatements, listStatements, listSubjectsWithProperty, listSubjectsWithProperty, remove, remove, remove`

  ### Methods inherited from interface org.apache.jena.rdf.model.ModelGraphInterface

  `asRDFNode, asStatement, getGraph, wrapAsResource`

  ### Methods inherited from interface org.apache.jena.shared.PrefixMapping

  `expandPrefix, getNsPrefixMap, getNsPrefixURI, getNsURIPrefix, hasNoMappings, lock, numPrefixes, qnameFor, samePrefixMappingAs, shortForm`

- ## Constructor Details

  - ### AGInfModel

    public AGInfModel(AGReasoner reasoner, AGModel baseModel)

- ## Method Details

  - ### getDeductionsModel

    public Model getDeductionsModel()
    Specified by:
      `getDeductionsModel` in interface `InfModel`

  - ### getDerivation

    public Iterator<Derivation> getDerivation(Statement statement)
    Specified by:
      `getDerivation` in interface `InfModel`

  - ### getRawModel

    public Model getRawModel()
    Specified by:
      `getRawModel` in interface `InfModel`

  - ### getReasoner

    public Reasoner getReasoner()
    Specified by:
      `getReasoner` in interface `InfModel`

  - ### listStatements

    public StmtIterator listStatements(Resource subject, Property predicate, RDFNode object, Model posit)
    Specified by:
      `listStatements` in interface `InfModel`

  - ### prepare

    public void prepare()
    Specified by:
      `prepare` in interface `InfModel`

  - ### rebind

    public void rebind()
    Specified by:
      `rebind` in interface `InfModel`

  - ### reset

    public void reset()
    Specified by:
      `reset` in interface `InfModel`

  - ### setDerivationLogging

    public void setDerivationLogging(boolean logOn)
    Specified by:
      `setDerivationLogging` in interface `InfModel`

  - ### validate

    public ValidityReport validate()
    Specified by:
      `validate` in interface `InfModel`